import 'package:fcs/domain/entities/user.dart';

abstract class UserService {
  Future<void> inviteUser(String userName, String phoneNumber);
  Future<void> deleteInvite(String phoneNumber);
  Future<void> acceptRequest(String userID);
  Future<User> findUser(String phoneNumber);
  Future<List<User>> searchUser(String term);
  Future<void> uploadMsgToken(String token);
  Future<void> removeMsgToken(String token);
  Future<void> enableUser(String userID, bool enabled);
}
